{% extends 'admin/base.html.twig'%}

{% block stylesheets %}
    {{ encore_entry_link_tags('admin-orders') }}
{% endblock %}

{% block content %}
    <div class="block-title">
        <p class="title">Записи</p>
        <p class="subtitle">Все записи на маникюр</p>
    </div>
    <div class="block-content-wrapper">
        <div class="block-content-menu">
            <a href="#popup-create-order" class="block-content-menu-btn-create btn-create-order">Создать заказ</a>
{#            <p>filters</p>#}
{#            <a href="#popup-create-page" class="block-content-menu-btn-create btn-create-page {% if urls is empty %}disabled{% endif %}">Добавить страницу</a>#}
{#            <div class="block-content-menu-list pages-list">#}
{#                <ul>#}
{#                    {% for page in pagesList %}#}
{#                        <li><a href="{{ page.link }}" {% if page.isActive %} class="active" {% endif %}>#}
{#                                {% if page.isActive %}<i class="fas fa-stream"></i> {% else %}<i class="fas fa-bars"></i>{% endif%}#}
{#                                {{ page.displayName }}</a></li>#}
{#                    {% endfor %}#}
{#                </ul>#}
{#            </div>#}
        </div>
        <div class="block-content-menu-mobile">
            <a href="#popup-create-order" class="block-content-menu-btn-create btn-create-order"> + </a>
        </div>
        <div class="block-content">
            <div class="block-content-header">
                <p class="title">Записи</p>
{#                <div class="title-menu">#}
{#                    <a href="#" class="btn-save-meta"><i class="fas fa-save"></i> Сохранить</a>#}
{#                </div>#}
            </div>
            <div class="content-list-wrapper">
                <table class="table-orders responsive-table">
                    <thead>
                    <tr>
                        <td>ID</td>
                        <td>Имя</td>
                        <td>Фамилия</td>
                        <td>Телефон</td>
                        <td>Дата</td>
                        <td>Статус</td>
                        <td>Действие</td>
                    </tr>
                    </thead>
                    <tbody>
                    {% for order in orders %}
                        <tr data-order-id="{{ order.id }}">
                            <td>{{ order.id }}</td>
                            <td>{{ order.name }}</td>
                            <td>{{ order.surname }}</td>
                            <td>{{ order.phone }}</td>
                            <td>{{ order.date }}</td>
                            <td class="td-status-{{ order.status }} td-status">{{ order.status }}</td>
                            <td>
                                <a href="{{ path('admin_user', {'userId': order.userId}) }}"><span class="btn-user"><i class="fas fa-user"></i></span></a>
                                <span class="btn-edit btn-edit-order" data-order-status="{{ order.status }}" data-order-id="{{ order.id }}"><i class="fas fa-pencil-alt"></i></span>
                                <a href="{{ path('admin_order', {'orderId': order.id}) }}"><span class="btn-show" data-order-id="{{ order.id }}"><i class="fas fa-eye"></i></span></a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div id="popup-edit-order" class="popup-form-wrapper white-popup mfp-hide">
        <form class="form-edit-order">
            <p class="label">Статус:</p>
            <select class="selector-order-status">
                <option value="waiting">waiting</option>
                <option value="done">done</option>
                <option value="canceled">canceled</option>
            </select>
            <div class="block-status-done">
                <p class="label">Введите сумму оплаты:</p>
                <input type="text" name="payment"/>
            </div>
            <div class="block-status-canceled">
                <p class="label">Опишите причину отмены:</p>
                <textarea name="comment" rows="5"></textarea>
            </div>
            <button class="popup-btn-save-order popup-btn-save">Сохранить</button>
        </form>
    </div>
    <div id="popup-create-order" class="popup-form-wrapper white-popup mfp-hide">
        <form>
            <p class="error"></p>
            <p class="label">Клиент:</p>
            <select name="user">
                {% for user in users %}
                    <option value="{{ user.id }}">{{ user.name }} {{ user.surname }}</option>
                {% endfor %}
            </select>
            <p class="label">Дата:</p>
            <input type="datetime-local" name="datetime">
            <button class="popup-btn-create-order btn-save">Создать</button>
        </form>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('admin-orders') }}
{% endblock %}